Bug Hunting Session
Bug 126054 - Crash when you select "File|Create Master Document" and save (Groupedbar Compact)
Summary: Crash when you select "File|Create Master Document" and save (Groupedbar Comp...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-06-23 09:48 UTC by Bastián Díaz
Modified: 2019-06-26 07:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["MenuButton::ExecuteMenu()"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bastián Díaz 2019-06-23 09:48:48 UTC
Description:
Using the Groupedbar Compact interface and creating a Master Document from the file menu, LibreOffice crashes when the new document is saved.


Steps to Reproduce:
1. Select the "Groupedbar Compact" layout from the menu "View|User Interface"
2. Open a new Writer document
3. Write something and select "File|Create Master Document", assign a name and save

Actual Results:
LibreOffice closes unexpectedly and starts document recovery.

The following output is shown from the terminal:

(soffice:12): GLib-GObject-CRITICAL **: 04:52:59.202: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

Expected Results:
LibreOffice saves the document correctly, showing the Master Document interface


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 6.2.4.2
Build ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU threads: 2; OS: Linux 5.1; UI render: default; VCL: gtk3; 
Flatpak
Locale: es-CL (es_CL.UTF-8); UI-Language: en-US
Calc: threaded

* In Safe Mode, LibreOffice saves the document successfully and the Master Document interface is displayed, however, the document recovery starts but when clicking on accept button, LibreOffice closes unexpectedly.

* If you activate the Menubar and select "File|Send|Create Master Document", asign a name and save, it seems to work, however NotebookBar disappears and when you verify the directory, no document has been saved
Comment 1 Bastián Díaz 2019-06-23 10:01:30 UTC
Through trial and error, I realized that what differentiates my profile from the safe mode is to use the sidebar on the left side instead of the right side. That accentuates the crash.
Comment 2 Usama 2019-06-23 14:27:10 UTC
Confirmed in:

Version: 6.4.0.0.alpha0+
Build ID: f75c2b04785aa05cff3bcd52689feb7400a14e8e
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-06-15_11:49:26
Locale: tr-TR (tr_TR.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Xisco Faulí 2019-06-25 10:51:42 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=38bef03742c94376a974f84693ff2e48693e6839

author	Caolán McNamara <caolanm@redhat.com>	2018-10-01 13:10:10 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-01 18:06:21 +0200
commit	38bef03742c94376a974f84693ff2e48693e6839 (patch)
tree	adeaffac0b7707f4d08463bef12cb024b2a62102
parent	75a48e37b260c145297261d0e0ab5720894404f1 (diff)
pass menuitem ident around directly, instead of deriving from itemid

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 4 Caolán McNamara 2019-06-25 13:15:03 UTC
don't think it was really working before that just maybe less likely to crash immediately
Comment 5 Commit Notification 2019-06-25 16:14:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0e79841b4f16ea71b019f298e7887c3c74efeb7e%5E%21

tdf#126054 uses after free when menubutton and menu torn down during execution

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-06-25 19:11:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/40dfeb8d1e0828ff1f9f7d50e2ff894d45cce9b4%5E%21

tdf#126054 uses after free when menubutton and menu torn down during execution

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-06-25 19:11:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/a4f67bce94b080062edf8cd5ba7113d5e384d63d%5E%21

tdf#126054 uses after free when menubutton and menu torn down during execution

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-06-26 07:15:13 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: fe855eda54faf6196ad9dea12d8dc090b6d6c1da
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for the quick fix!!